Activate a validated private endpoint
curl --request POST \
--url https://nemonist.com/api/v1/private-endpoints/{id}/activate \
--header 'Authorization: Bearer <token>'import requests
url = "https://nemonist.com/api/v1/private-endpoints/{id}/activate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nemonist.com/api/v1/private-endpoints/{id}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"workspace_id": "<string>",
"slug": "<string>",
"name": "<string>",
"base_url": "<string>",
"formats": [
"chat"
],
"declared_zdr": true,
"upstream_model_id": "<string>",
"models": [
"<string>"
],
"status": "draft",
"created_at": "<string>",
"updated_at": "<string>",
"validation": {
"passed": true,
"validated_at": "<string>",
"checks": [
{
"name": "base_url",
"passed": true,
"reason": "invalid_base_url",
"upstream_status": 123,
"upstream_message": "<string>",
"actual_model": "<string>"
}
]
}
}
}{
"error": {
"code": 400,
"message": "Invalid request parameters"
}
}{
"error": {
"code": 401,
"message": "Missing Authentication header"
}
}{
"error": {
"code": 403,
"message": "Only management keys can perform this operation"
}
}{
"error": {
"code": 404,
"message": "Resource not found"
}
}{
"error": {
"code": 408,
"message": "Operation timed out. Please try again later."
}
}{
"error": {
"code": 409,
"message": "Resource conflict. Please try again later."
}
}{
"error": {
"code": 422,
"message": "Invalid argument"
}
}{
"error": {
"code": 500,
"message": "Internal Server Error"
}
}{
"error": {
"code": 502,
"message": "Provider returned error"
}
}{
"error": {
"code": 500,
"message": "Internal Server Error"
}
}Private Endpoints
Activate a validated private endpoint
Routes a validated draft. 409 not_validated when it never passed validation, validation_stale when it changed since. Management key required.
POST
/
private-endpoints
/
{id}
/
activate
Activate a validated private endpoint
curl --request POST \
--url https://nemonist.com/api/v1/private-endpoints/{id}/activate \
--header 'Authorization: Bearer <token>'import requests
url = "https://nemonist.com/api/v1/private-endpoints/{id}/activate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nemonist.com/api/v1/private-endpoints/{id}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"workspace_id": "<string>",
"slug": "<string>",
"name": "<string>",
"base_url": "<string>",
"formats": [
"chat"
],
"declared_zdr": true,
"upstream_model_id": "<string>",
"models": [
"<string>"
],
"status": "draft",
"created_at": "<string>",
"updated_at": "<string>",
"validation": {
"passed": true,
"validated_at": "<string>",
"checks": [
{
"name": "base_url",
"passed": true,
"reason": "invalid_base_url",
"upstream_status": 123,
"upstream_message": "<string>",
"actual_model": "<string>"
}
]
}
}
}{
"error": {
"code": 400,
"message": "Invalid request parameters"
}
}{
"error": {
"code": 401,
"message": "Missing Authentication header"
}
}{
"error": {
"code": 403,
"message": "Only management keys can perform this operation"
}
}{
"error": {
"code": 404,
"message": "Resource not found"
}
}{
"error": {
"code": 408,
"message": "Operation timed out. Please try again later."
}
}{
"error": {
"code": 409,
"message": "Resource conflict. Please try again later."
}
}{
"error": {
"code": 422,
"message": "Invalid argument"
}
}{
"error": {
"code": 500,
"message": "Internal Server Error"
}
}{
"error": {
"code": 502,
"message": "Provider returned error"
}
}{
"error": {
"code": 500,
"message": "Internal Server Error"
}
}